commit:     0e1cbdddb38586c2b79cc97f974a3e4478edeccc
Author:     Thibaud CANALE <thican <AT> thican <DOT> net>
AuthorDate: Sat Aug  9 11:55:01 2025 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Aug 10 21:16:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e1cbddd

app-crypt/certbot: add 4.2.0

Closes: https://bugs.gentoo.org/961272
Signed-off-by: Thibaud CANALE <thican <AT> thican.net>
Part-of: https://github.com/gentoo/gentoo/pull/43397
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-crypt/certbot/Manifest             |   1 +
 app-crypt/certbot/certbot-4.2.0.ebuild | 230 +++++++++++++++++++++++++++++++++
 2 files changed, 231 insertions(+)

diff --git a/app-crypt/certbot/Manifest b/app-crypt/certbot/Manifest
index ed8985c937f3..984c1b57ebcc 100644
--- a/app-crypt/certbot/Manifest
+++ b/app-crypt/certbot/Manifest
@@ -1,3 +1,4 @@
 DIST certbot-2.11.1.gh.tar.gz 2323842 BLAKE2B 
6ff759bcac0e49139ae65c3f257ffad87e122184d36aa43446b700efad817fe78232edabfcbf57b4e6041ac8aa7ffa771b0d16e6194a0080e81ab4032c230a9f
 SHA512 
985af624f6da30893db4bb527e3b6eeaa85de869dbb734dfe005c5f7b9638cef123963534290ee488612f77928d06461bbf6120ac77ce35aaa0c1adaeae3cb7c
 DIST certbot-4.0.0.gh.tar.gz 2309431 BLAKE2B 
ddf38b29fe0db9a0434291b85c11f40b89411ae2261951390d542a694996ce89e11100b4a37832271737be55d8c114150bfc56782dc0be673a5d23ada8d91933
 SHA512 
a34c65c603a5e07ac95143168d651b7d76c3d9403b39b12201d74a23ddbd42019062cb2c0819faae82f2691462324538f1d4db6cdb44c82eddeb4782c0bd86f9
 DIST certbot-4.1.1.gh.tar.gz 2325999 BLAKE2B 
9bc3f3c3ce84c1a9846274901565db26745e1734570af026bd1343f085a306a50f6c397778adc284ede5a8e67f4a228898ea37cab05386de1debdd4dfc941ffc
 SHA512 
c4949b8a5c50d347b5bbbba74d6779c4dfa95f9ef625476461aa97c3ae95b646cc701377f98aed2f42fadfcaa45ca2253dbe745e4171c87958b06244f6d500da
+DIST certbot-4.2.0.gh.tar.gz 2329899 BLAKE2B 
443efb97693f8a455f4776d8bcafb80e007fd627cf8fe51b38c041e7f7709eb7b44a85710a57560c64c732aeebcb2e9e369bb2dba3ff41a9f421ecfd1d703211
 SHA512 
9003a2fe06dd05c7fde5954051feb8d11586acfeb5b2aab298d4eccae7cfd0a13366212eb812e2be118711d8c273f39bfb53d8590f9bab418338e46b1f628504

diff --git a/app-crypt/certbot/certbot-4.2.0.ebuild 
b/app-crypt/certbot/certbot-4.2.0.ebuild
new file mode 100644
index 000000000000..5a186a3609c4
--- /dev/null
+++ b/app-crypt/certbot/certbot-4.2.0.ebuild
@@ -0,0 +1,230 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 toolchain-funcs
+
+if [[ "${PV}" == *9999 ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       EGIT_SUBMODULES=()
+       EGIT_CHECKOUT_DIR="${WORKDIR}/${P}"
+else
+       SRC_URI="
+               https://github.com/certbot/certbot/archive/v${PV}.tar.gz
+                       -> ${P}.gh.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Let's Encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="
+       https://github.com/certbot/certbot
+       https://pypi.org/project/certbot/
+       https://letsencrypt.org/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+# acme required for certbot, and then required for modules
+CERTBOT_BASE=(acme certbot)
+# List of "subpackages" from tools/_release.sh (without acme which is already 
above)
+CERTBOT_MODULES_EXTRA=(
+       apache
+       #dns-cloudflare # Requires missing packages, already in GURU
+       #dns-digitalocean # Requires missing packages, already in GURU
+       dns-dnsimple
+       dns-dnsmadeeasy
+       dns-gehirn
+       dns-google
+       dns-linode
+       dns-luadns
+       dns-nsone
+       dns-ovh
+       dns-rfc2136
+       dns-route53
+       dns-sakuracloud
+       nginx
+)
+
+IUSE="selinux"
+for module in "${CERTBOT_MODULES_EXTRA[@]}"; do
+       IUSE+=" certbot-${module}"
+done
+
+BDEPEND="
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       )
+"
+
+# See each setup.py for dependencies
+# Also discard the previous related packages
+# except their transition step
+RDEPEND="
+       !<app-crypt/acme-3.2.0-r100
+       !<app-crypt/certbot-apache-3.2.0-r100
+       !<app-crypt/certbot-dns-desec-3.2.0-r100
+       !<app-crypt/certbot-dns-dnsimple-3.2.0-r100
+       !<app-crypt/certbot-dns-nsone-3.2.0-r100
+       !<app-crypt/certbot-dns-rfc2136-3.2.0-r100
+       !<app-crypt/certbot-nginx-3.2.0-r100
+
+       dev-python/chardet[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-1.5.3[${PYTHON_USEDEP}]
+       >=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-43.0.0[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/josepy-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-2.4[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-25.0.0[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       certbot-apache? (
+               dev-python/python-augeas[${PYTHON_USEDEP}]
+       )
+       certbot-dns-dnsimple? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-dnsmadeeasy? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-gehirn? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-google? (
+               >=dev-python/google-api-python-client-1.6.5[${PYTHON_USEDEP}]
+               >=dev-python/google-auth-2.16.0[${PYTHON_USEDEP}]
+       )
+       certbot-dns-linode? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-luadns? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-nsone? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-ovh? (
+               >=dev-python/dns-lexicon-3.15.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-rfc2136? (
+               >=dev-python/dnspython-2.6.1[${PYTHON_USEDEP}]
+       )
+       certbot-dns-route53? (
+               >=dev-python/boto3-1.15.15[${PYTHON_USEDEP}]
+       )
+       certbot-dns-sakuracloud? (
+               >=dev-python/dns-lexicon-3.14.1[${PYTHON_USEDEP}]
+       )
+       certbot-nginx? (
+               >=dev-python/pyopenssl-25.0.0[${PYTHON_USEDEP}]
+               >=dev-python/pyparsing-2.4.7[${PYTHON_USEDEP}]
+       )
+       selinux? ( sec-policy/selinux-certbot )
+"
+# RDEPEND+="
+#      !<app-crypt/certbot-dns-cloudflare-3.2.0-r100
+#
+#      >=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}] # @TODO is still 
necessary?
+#      certbot-dns-cloudflare? (
+#              # Available in GURU
+#              >=dev-python/cloudflare-2.19[${PYTHON_USEDEP}]
+#              <dev-python/cloudflare-2.20[${PYTHON_USEDEP}]
+#      )
+#      certbot-dns-digitalocean? (
+#              # Available in GURU
+#              >=dev-python/digitalocean-1.11[${PYTHON_USEDEP}]
+#      )
+# "
+
+# Note: "docs" is not an actual directory under "S", they are actually
+# under each modules, see python_compile_all redefinition, but keep
+# this instruction enabled for dependency configuration.
+distutils_enable_sphinx docs \
+       dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+CERTBOT_DIRS=()
+# Stores temporary modules docs in each subdirectories,
+# will be used for HTML_DOCS
+CERTBOT_DOCS="${T}/docs"
+
+src_prepare() {
+       default
+
+       # set CERTBOT_DIRS
+       local base module
+       for base in "${CERTBOT_BASE[@]}"; do
+               CERTBOT_DIRS+=("${base}")
+       done
+       for module in "${CERTBOT_MODULES_EXTRA[@]}"; do
+               use "certbot-${module}" &&
+                       CERTBOT_DIRS+=("certbot-${module}")
+       done
+
+       # Used to build documentation
+       mkdir "${CERTBOT_DOCS}" || die
+
+       # Remove "broken" symbolic link used as documentation.
+       # Copy actual file, removing source breaks wheel building.
+       rm -f "${S}/README.rst"
+       cp "${S}/certbot/README.rst" "${S}/README.rst" || die
+}
+
+python_compile() {
+       local dir
+       for dir in "${CERTBOT_DIRS[@]}"; do
+               pushd "${dir}" > /dev/null || die
+
+               distutils-r1_python_compile
+
+               popd > /dev/null || die
+       done
+}
+
+# Used to build documentation
+python_compile_all() {
+       use doc || return
+
+       local dir
+       for dir in "${CERTBOT_DIRS[@]}"; do
+               # There is no documentation in certbot-apache or certbot-nginx.
+               if has "${dir}" "certbot-apache" "certbot-nginx"; then
+                       continue
+               fi
+
+               pushd "${dir}" > /dev/null || die
+
+               sphinx_compile_all
+
+               # Note: discard the `/.` in last entry suffix to avoid error
+               # with `mv` command.
+               mv "${HTML_DOCS[-1]%/.}" "${CERTBOT_DOCS}/${dir}" || die
+
+               popd > /dev/null || die
+       done
+
+       # And finally give the result.
+       # Note: the suffix `/.` here is to discard the holding directory.
+       HTML_DOCS=( "${CERTBOT_DOCS}/." )
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+       tc-has-64bit-time_t || EPYTEST_DESELECT+=(
+               
'certbot/_internal/tests/storage_test.py::RenewableCertTests::test_time_interval_judgments'
+       )
+
+       # Change for pytest rootdir is required.
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       epytest
+}

Reply via email to